import request from '@/utils/request'

// 配餐记录

// 修改
export function updataRecord(data) {
    return request({
        url: '/dreOrder/',
        method: 'put',
        data: data
    })
}

// 查询
export function getRecord(data) {
    return request({
        url: '/dreOrder/page',
        method: 'post',
        data
    })
}
// 导出
export function dreOrderExport(data) {
    return request({
        url: '/dreOrder/exportDetail',
        method: 'post',
        data: data,
    })
}
//订单详情
export function orderDetails(query) {
    return request({
        url: '/dreOrderDetail/listByOrder',
        method: 'get',
        params: query
    })
}


/** 配餐人员 */
/** 查询*/
export function getPeople(query) {
    return request({
        url: '/dreUser/page',
        method: 'get',
        params: query
    })
}
/** 状态变更*/
export function updataPeople(data) {
    return request({
        url: '/dreUser/addList',
        method: 'put',
        data
    })
}
/** 部门*/
export function bumen(data) {
    return request({
        url: '/dxtop/dept/treeList',
        method: 'post',
        data
    })
}
/** 人员*/
export function people(data) {
    return request({
        url: '/dxtop/staff/page',
        method: 'post',
        data
    })
}
/** 导出*/
export function staffExport(data) {
    return request({
        url: '/dxtop/taff/export',
        method: 'post',
        data
    })
}



/**菜品管理 */
/** 查询*/
export function getDishes(query) {
    return request({
        url: '/dreMenu/list',
        method: 'get',
        params: query
    })
}

/** 修改*/
export function updataDishes(data) {
    return request({
        url: '/dreMenu/',
        method: 'put',
        data
    })
}
/** 上传*/
export function batchByFileDishes(data) {
    return request({
        url: '/dreMenu/batchByFile',
        method: 'post',
        data
    })
}
/** 导出*/
export function dreMenuExport(data) {
    return request({
        url: '/dreMenu/export',
        method: 'post',
        data
    })
}